diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/post.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/post.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/post.php	2012-10-29 12:35:31.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/post.php	2012-12-17 16:18:42.000000000 -0600
***************
*** 85,92 ****
  if ( ! $sendback ||
       strpos( $sendback, 'post.php' ) !== false ||
       strpos( $sendback, 'post-new.php' ) !== false ) {
! 	$sendback = admin_url( 'edit.php' );
! 	$sendback .= ( ! empty( $post_type ) ) ? '?post_type=' . $post_type : '';
  } else {
  	$sendback = remove_query_arg( array('trashed', 'untrashed', 'deleted', 'ids'), $sendback );
  }
--- 85,96 ----
  if ( ! $sendback ||
       strpos( $sendback, 'post.php' ) !== false ||
       strpos( $sendback, 'post-new.php' ) !== false ) {
! 	if ( 'attachment' == $post_type ) {
! 		$sendback = admin_url( 'upload.php' );
! 	} else {
! 		$sendback = admin_url( 'edit.php' );
! 		$sendback .= ( ! empty( $post_type ) ) ? '?post_type=' . $post_type : '';
! 	}
  } else {
  	$sendback = remove_query_arg( array('trashed', 'untrashed', 'deleted', 'ids'), $sendback );
  }
***************
*** 148,153 ****
--- 152,161 ----
  		$parent_file = "edit.php";
  		$submenu_file = "edit.php";
  		$post_new_file = "post-new.php";
+ 	} elseif ( 'attachment' == $post_type ) {
+ 		$parent_file = 'upload.php';
+ 		$submenu_file = 'upload.php';
+ 		$post_new_file = 'media-new.php';
  	} else {
  		if ( isset( $post_type_object ) && $post_type_object->show_in_menu && $post_type_object->show_in_menu !== true )
  			$parent_file = $post_type_object->show_in_menu;
***************
*** 161,171 ****
  		add_action('admin_notices', '_admin_notice_post_locked' );
  	} else {
  		$active_post_lock = wp_set_post_lock( $post->ID );
! 		wp_enqueue_script('autosave');
  	}
  
  	$title = $post_type_object->labels->edit_item;
! 	$post = get_post_to_edit($post_id);
  
  	if ( post_type_supports($post_type, 'comments') ) {
  		wp_enqueue_script('admin-comments');
--- 169,181 ----
  		add_action('admin_notices', '_admin_notice_post_locked' );
  	} else {
  		$active_post_lock = wp_set_post_lock( $post->ID );
! 
! 		if ( 'attachment' !== $post_type )
! 			wp_enqueue_script('autosave');
  	}
  
  	$title = $post_type_object->labels->edit_item;
! 	$post = get_post($post_id, OBJECT, 'edit');
  
  	if ( post_type_supports($post_type, 'comments') ) {
  		wp_enqueue_script('admin-comments');
***************
*** 177,183 ****
  	break;
  
  case 'editattachment':
! 	check_admin_referer('update-attachment_' . $post_id);
  
  	// Don't let these be changed
  	unset($_POST['guid']);
--- 187,193 ----
  	break;
  
  case 'editattachment':
! 	check_admin_referer('update-post_' . $post_id);
  
  	// Don't let these be changed
  	unset($_POST['guid']);
***************
*** 190,196 ****
  	wp_update_attachment_metadata( $post_id, $newmeta );
  
  case 'editpost':
! 	check_admin_referer('update-' . $post_type . '_' . $post_id);
  
  	$post_id = edit_post();
  
--- 200,206 ----
  	wp_update_attachment_metadata( $post_id, $newmeta );
  
  case 'editpost':
! 	check_admin_referer('update-post_' . $post_id);
  
  	$post_id = edit_post();
  
***************
*** 200,208 ****
  	break;
  
  case 'trash':
! 	check_admin_referer('trash-' . $post_type . '_' . $post_id);
  
! 	$post = & get_post($post_id);
  
  	if ( !current_user_can($post_type_object->cap->delete_post, $post_id) )
  		wp_die( __('You are not allowed to move this item to the Trash.') );
--- 210,218 ----
  	break;
  
  case 'trash':
! 	check_admin_referer('trash-post_' . $post_id);
  
! 	$post = get_post($post_id);
  
  	if ( !current_user_can($post_type_object->cap->delete_post, $post_id) )
  		wp_die( __('You are not allowed to move this item to the Trash.') );
***************
*** 215,221 ****
  	break;
  
  case 'untrash':
! 	check_admin_referer('untrash-' . $post_type . '_' . $post_id);
  
  	if ( !current_user_can($post_type_object->cap->delete_post, $post_id) )
  		wp_die( __('You are not allowed to move this item out of the Trash.') );
--- 225,231 ----
  	break;
  
  case 'untrash':
! 	check_admin_referer('untrash-post_' . $post_id);
  
  	if ( !current_user_can($post_type_object->cap->delete_post, $post_id) )
  		wp_die( __('You are not allowed to move this item out of the Trash.') );
***************
*** 228,234 ****
  	break;
  
  case 'delete':
! 	check_admin_referer('delete-' . $post_type . '_' . $post_id);
  
  	if ( !current_user_can($post_type_object->cap->delete_post, $post_id) )
  		wp_die( __('You are not allowed to delete this item.') );
--- 238,244 ----
  	break;
  
  case 'delete':
! 	check_admin_referer('delete-post_' . $post_id);
  
  	if ( !current_user_can($post_type_object->cap->delete_post, $post_id) )
  		wp_die( __('You are not allowed to delete this item.') );
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/press-this.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/press-this.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/press-this.php	2012-10-29 12:35:31.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/press-this.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 13,19 ****
  
  header('Content-Type: ' . get_option('html_type') . '; charset=' . get_option('blog_charset'));
  
! if ( ! current_user_can('edit_posts') )
  	wp_die( __( 'Cheatin&#8217; uh?' ) );
  
  /**
--- 13,19 ----
  
  header('Content-Type: ' . get_option('html_type') . '; charset=' . get_option('blog_charset'));
  
! if ( ! current_user_can( 'edit_posts' ) || ! current_user_can( get_post_type_object( 'post' )->cap->create_posts ) )
  	wp_die( __( 'Cheatin&#8217; uh?' ) );
  
  /**
***************
*** 110,116 ****
  if ( !empty($_REQUEST['ajax']) ) {
  	switch ($_REQUEST['ajax']) {
  		case 'video': ?>
! 			<script type="text/javascript" charset="utf-8">
  			/* <![CDATA[ */
  				jQuery('.select').click(function() {
  					append_editor(jQuery('#embed-code').val());
--- 110,116 ----
  if ( !empty($_REQUEST['ajax']) ) {
  	switch ($_REQUEST['ajax']) {
  		case 'video': ?>
! 			<script type="text/javascript">
  			/* <![CDATA[ */
  				jQuery('.select').click(function() {
  					append_editor(jQuery('#embed-code').val());
***************
*** 133,139 ****
  			<?php break;
  
  		case 'photo_thickbox': ?>
! 			<script type="text/javascript" charset="utf-8">
  				/* <![CDATA[ */
  				jQuery('.cancel').click(function() {
  					tb_remove();
--- 133,139 ----
  			<?php break;
  
  		case 'photo_thickbox': ?>
! 			<script type="text/javascript">
  				/* <![CDATA[ */
  				jQuery('.cancel').click(function() {
  					tb_remove();
***************
*** 172,178 ****
  		 */
  		function get_images_from_uri($uri) {
  			$uri = preg_replace('/\/#.+?$/','', $uri);
! 			if ( preg_match('/\.(jpg|jpe|jpeg|png|gif)$/', $uri) && !strpos($uri,'blogger.com') )
  				return "'" . esc_attr( html_entity_decode($uri) ) . "'";
  			$content = wp_remote_fopen($uri);
  			if ( false === $content )
--- 172,178 ----
  		 */
  		function get_images_from_uri($uri) {
  			$uri = preg_replace('/\/#.+?$/','', $uri);
! 			if ( preg_match( '/\.(jpe?g|jpe|gif|png)\b/i', $uri ) && !strpos( $uri, 'blogger.com' ) )
  				return "'" . esc_attr( html_entity_decode($uri) ) . "'";
  			$content = wp_remote_fopen($uri);
  			if ( false === $content )
***************
*** 288,294 ****
  			return false;
  		}
  
! 		jQuery('#extra-fields').html('<div class="postbox"><h2><?php _e( 'Add Photos' ); ?> <small id="photo_directions">(<?php _e("click images to select") ?>)</small></h2><ul class="actions"><li><a href="#" id="photo-add-url" class="button"><?php _e("Add from URL") ?> +</a></li></ul><div class="inside"><div class="titlewrap"><div id="img_container"></div></div><p id="options"><a href="#" class="close button"><?php _e('Cancel'); ?></a><a href="#" class="refresh button"><?php _e('Refresh'); ?></a></p></div>');
  		jQuery('#img_container').html(strtoappend);
  		<?php break;
  }
--- 288,294 ----
  			return false;
  		}
  
! 		jQuery('#extra-fields').html('<div class="postbox"><h2><?php _e( 'Add Photos' ); ?> <small id="photo_directions">(<?php _e("click images to select") ?>)</small></h2><ul class="actions"><li><a href="#" id="photo-add-url" class="button button-small"><?php _e("Add from URL") ?> +</a></li></ul><div class="inside"><div class="titlewrap"><div id="img_container"></div></div><p id="options"><a href="#" class="close button"><?php _e('Cancel'); ?></a><a href="#" class="refresh button"><?php _e('Refresh'); ?></a></p></div>');
  		jQuery('#img_container').html(strtoappend);
  		<?php break;
  }
***************
*** 414,420 ****
  	}
  	jQuery(document).ready(function($) {
  		//resize screen
! 		window.resizeTo(720,580);
  		// set button actions
  		jQuery('#photo_button').click(function() { show('photo'); return false; });
  		jQuery('#video_button').click(function() { show('video'); return false; });
--- 414,420 ----
  	}
  	jQuery(document).ready(function($) {
  		//resize screen
! 		window.resizeTo(740,580);
  		// set button actions
  		jQuery('#photo_button').click(function() { show('photo'); return false; });
  		jQuery('#video_button').click(function() { show('video'); return false; });
***************
*** 427,433 ****
  			show('photo');
  		<?php } ?>
  		jQuery('#title').unbind();
! 		jQuery('#publish, #save').click(function() { jQuery('#saving').css('display', 'inline'); });
  
  		$('#tagsdiv-post_tag, #categorydiv').children('h3, .handlediv').click(function(){
  			$(this).siblings('.inside').toggle();
--- 427,433 ----
  			show('photo');
  		<?php } ?>
  		jQuery('#title').unbind();
! 		jQuery('#publish, #save').click(function() { jQuery('.press-this #publishing-actions .spinner').css('display', 'inline-block'); });
  
  		$('#tagsdiv-post_tag, #categorydiv').children('h3, .handlediv').click(function(){
  			$(this).siblings('.inside').toggle();
***************
*** 439,445 ****
  $admin_body_class = ( is_rtl() ) ? 'rtl' : '';
  $admin_body_class .= ' locale-' . sanitize_html_class( strtolower( str_replace( '_', '-', get_locale() ) ) );
  ?>
! <body class="press-this wp-admin <?php echo $admin_body_class; ?>">
  <form action="press-this.php?action=post" method="post">
  <div id="poststuff" class="metabox-holder">
  	<div id="side-sortables" class="press-this-sidebar">
--- 439,445 ----
  $admin_body_class = ( is_rtl() ) ? 'rtl' : '';
  $admin_body_class .= ' locale-' . sanitize_html_class( strtolower( str_replace( '_', '-', get_locale() ) ) );
  ?>
! <body class="press-this wp-admin wp-core-ui <?php echo $admin_body_class; ?>">
  <form action="press-this.php?action=post" method="post">
  <div id="poststuff" class="metabox-holder">
  	<div id="side-sortables" class="press-this-sidebar">
***************
*** 467,473 ****
  							echo '<br /><br />';
  							submit_button( __( 'Submit for Review' ), 'primary', 'review', false );
  						} ?>
! 						<img src="<?php echo esc_url( admin_url( 'images/wpspin_light.gif' ) ); ?>" alt="" id="saving" style="display:none;" />
  					</p>
  					<?php if ( current_theme_supports( 'post-formats' ) && post_type_supports( 'post', 'post-formats' ) ) :
  							$post_formats = get_theme_support( 'post-formats' );
--- 467,473 ----
  							echo '<br /><br />';
  							submit_button( __( 'Submit for Review' ), 'primary', 'review', false );
  						} ?>
! 						<span class="spinner" style="display: none;"></span>
  					</p>
  					<?php if ( current_theme_supports( 'post-formats' ) && post_type_supports( 'post', 'post-formats' ) ) :
  							$post_formats = get_theme_support( 'post-formats' );
***************
*** 495,502 ****
  				<div id="taxonomy-category" class="categorydiv">
  
  					<ul id="category-tabs" class="category-tabs">
! 						<li class="tabs"><a href="#category-all" tabindex="3"><?php echo $tax->labels->all_items; ?></a></li>
! 						<li class="hide-if-no-js"><a href="#category-pop" tabindex="3"><?php _e( 'Most Used' ); ?></a></li>
  					</ul>
  
  					<div id="category-pop" class="tabs-panel" style="display: none;">
--- 495,502 ----
  				<div id="taxonomy-category" class="categorydiv">
  
  					<ul id="category-tabs" class="category-tabs">
! 						<li class="tabs"><a href="#category-all"><?php echo $tax->labels->all_items; ?></a></li>
! 						<li class="hide-if-no-js"><a href="#category-pop"><?php _e( 'Most Used' ); ?></a></li>
  					</ul>
  
  					<div id="category-pop" class="tabs-panel" style="display: none;">
***************
*** 506,512 ****
  					</div>
  
  					<div id="category-all" class="tabs-panel">
! 						<ul id="categorychecklist" class="list:category categorychecklist form-no-clear">
  							<?php wp_terms_checklist($post_ID, array( 'taxonomy' => 'category', 'popular_cats' => $popular_ids ) ) ?>
  						</ul>
  					</div>
--- 506,512 ----
  					</div>
  
  					<div id="category-all" class="tabs-panel">
! 						<ul id="categorychecklist" data-wp-lists="list:category" class="categorychecklist form-no-clear">
  							<?php wp_terms_checklist($post_ID, array( 'taxonomy' => 'category', 'popular_cats' => $popular_ids ) ) ?>
  						</ul>
  					</div>
***************
*** 517,534 ****
  					<?php if ( current_user_can($tax->cap->edit_terms) ) : ?>
  						<div id="category-adder" class="wp-hidden-children">
  							<h4>
! 								<a id="category-add-toggle" href="#category-add" class="hide-if-no-js" tabindex="3">
  									<?php printf( __( '+ %s' ), $tax->labels->add_new_item ); ?>
  								</a>
  							</h4>
  							<p id="category-add" class="category-add wp-hidden-child">
  								<label class="screen-reader-text" for="newcategory"><?php echo $tax->labels->add_new_item; ?></label>
! 								<input type="text" name="newcategory" id="newcategory" class="form-required form-input-tip" value="<?php echo esc_attr( $tax->labels->new_item_name ); ?>" tabindex="3" aria-required="true"/>
  								<label class="screen-reader-text" for="newcategory_parent">
  									<?php echo $tax->labels->parent_item_colon; ?>
  								</label>
! 								<?php wp_dropdown_categories( array( 'taxonomy' => 'category', 'hide_empty' => 0, 'name' => 'newcategory_parent', 'orderby' => 'name', 'hierarchical' => 1, 'show_option_none' => '&mdash; ' . $tax->labels->parent_item . ' &mdash;', 'tab_index' => 3 ) ); ?>
! 								<input type="button" id="category-add-submit" class="add:categorychecklist:category-add button category-add-submit" value="<?php echo esc_attr( $tax->labels->add_new_item ); ?>" tabindex="3" />
  								<?php wp_nonce_field( 'add-category', '_ajax_nonce-add-category', false ); ?>
  								<span id="category-ajax-response"></span>
  							</p>
--- 517,534 ----
  					<?php if ( current_user_can($tax->cap->edit_terms) ) : ?>
  						<div id="category-adder" class="wp-hidden-children">
  							<h4>
! 								<a id="category-add-toggle" href="#category-add" class="hide-if-no-js">
  									<?php printf( __( '+ %s' ), $tax->labels->add_new_item ); ?>
  								</a>
  							</h4>
  							<p id="category-add" class="category-add wp-hidden-child">
  								<label class="screen-reader-text" for="newcategory"><?php echo $tax->labels->add_new_item; ?></label>
! 								<input type="text" name="newcategory" id="newcategory" class="form-required form-input-tip" value="<?php echo esc_attr( $tax->labels->new_item_name ); ?>" aria-required="true"/>
  								<label class="screen-reader-text" for="newcategory_parent">
  									<?php echo $tax->labels->parent_item_colon; ?>
  								</label>
! 								<?php wp_dropdown_categories( array( 'taxonomy' => 'category', 'hide_empty' => 0, 'name' => 'newcategory_parent', 'orderby' => 'name', 'hierarchical' => 1, 'show_option_none' => '&mdash; ' . $tax->labels->parent_item . ' &mdash;' ) ); ?>
! 								<input type="button" id="category-add-submit" data-wp-lists="add:categorychecklist:category-add" class="button category-add-submit" value="<?php echo esc_attr( $tax->labels->add_new_item ); ?>" />
  								<?php wp_nonce_field( 'add-category', '_ajax_nonce-add-category', false ); ?>
  								<span id="category-ajax-response"></span>
  							</p>
***************
*** 548,554 ****
  							<input type="hidden" name="tax_input[post_tag]" class="the-tags" id="tax-input[post_tag]" value="" />
  							<div class="ajaxtag">
  								<input type="text" name="newtag[post_tag]" class="newtag form-input-tip" size="16" autocomplete="off" value="" />
! 								<input type="button" class="button tagadd" value="<?php esc_attr_e('Add'); ?>" tabindex="3" />
  							</div>
  						</div>
  						<div class="tagchecklist"></div>
--- 548,554 ----
  							<input type="hidden" name="tax_input[post_tag]" class="the-tags" id="tax-input[post_tag]" value="" />
  							<div class="ajaxtag">
  								<input type="text" name="newtag[post_tag]" class="newtag form-input-tip" size="16" autocomplete="off" value="" />
! 								<input type="button" class="button tagadd" value="<?php esc_attr_e('Add'); ?>" />
  							</div>
  						</div>
  						<div class="tagchecklist"></div>
***************
*** 586,592 ****
  			</div>
  		</div>
  
! 		<div id="waiting" style="display: none"><img src="<?php echo esc_url( admin_url( 'images/wpspin_light.gif' ) ); ?>" alt="" /> <?php esc_html_e( 'Loading...' ); ?></div>
  
  		<div id="extra-fields" style="display: none"></div>
  
--- 586,592 ----
  			</div>
  		</div>
  
! 		<div id="waiting" style="display: none"><span class="spinner"></span> <span><?php esc_html_e( 'Loading...' ); ?></span></div>
  
  		<div id="extra-fields" style="display: none"></div>
  
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/setup-config.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/setup-config.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/setup-config.php	2012-10-29 12:35:30.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/setup-config.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 85,91 ****
   * @package WordPress
   * @subpackage Installer_WP_Config
   */
! function display_header() {
  	global $wp_version;
  
  	header( 'Content-Type: text/html; charset=utf-8' );
--- 85,91 ----
   * @package WordPress
   * @subpackage Installer_WP_Config
   */
! function setup_config_display_header() {
  	global $wp_version;
  
  	header( 'Content-Type: text/html; charset=utf-8' );
***************
*** 96,111 ****
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <title><?php _e( 'WordPress &rsaquo; Setup Configuration File' ); ?></title>
  <link rel="stylesheet" href="css/install.css?ver=<?php echo preg_replace( '/[^0-9a-z\.-]/i', '', $wp_version ); ?>" type="text/css" />
  
  </head>
! <body<?php if ( is_rtl() ) echo ' class="rtl"'; ?>>
! <h1 id="logo"><img alt="WordPress" src="images/wordpress-logo.png?ver=20120216" /></h1>
  <?php
! }//end function display_header();
  
  switch($step) {
  	case 0:
! 		display_header();
  ?>
  
  <p><?php _e( 'Welcome to WordPress. Before getting started, we need some information on the database. You will need to know the following items before proceeding.' ) ?></p>
--- 96,112 ----
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <title><?php _e( 'WordPress &rsaquo; Setup Configuration File' ); ?></title>
  <link rel="stylesheet" href="css/install.css?ver=<?php echo preg_replace( '/[^0-9a-z\.-]/i', '', $wp_version ); ?>" type="text/css" />
+ <link rel="stylesheet" href="../wp-includes/css/buttons.css?ver=<?php echo preg_replace( '/[^0-9a-z\.-]/i', '', $wp_version ); ?>" type="text/css" />
  
  </head>
! <body class="wp-core-ui<?php if ( is_rtl() ) echo ' rtl'; ?>">
! <h1 id="logo"><a href="<?php esc_attr_e( 'http://wordpress.org/' ); ?>"><?php _e( 'WordPress' ); ?></a></h1>
  <?php
! } // end function setup_config_display_header();
  
  switch($step) {
  	case 0:
! 		setup_config_display_header();
  ?>
  
  <p><?php _e( 'Welcome to WordPress. Before getting started, we need some information on the database. You will need to know the following items before proceeding.' ) ?></p>
***************
*** 116,133 ****
  	<li><?php _e( 'Database host' ); ?></li>
  	<li><?php _e( 'Table prefix (if you want to run more than one WordPress in a single database)' ); ?></li>
  </ol>
! <p><strong><?php _e( "If for any reason this automatic file creation doesn't work, don't worry. All this does is fill in the database information to a configuration file. You may also simply open <code>wp-config-sample.php</code> in a text editor, fill in your information, and save it as <code>wp-config.php</code>." ); ?></strong></p>
  <p><?php _e( "In all likelihood, these items were supplied to you by your Web Host. If you do not have this information, then you will need to contact them before you can continue. If you&#8217;re all ready&hellip;" ); ?></p>
  
! <p class="step"><a href="setup-config.php?step=1<?php if ( isset( $_GET['noapi'] ) ) echo '&amp;noapi'; ?>" class="button"><?php _e( 'Let&#8217;s go!' ); ?></a></p>
  <?php
  	break;
  
  	case 1:
! 		display_header();
  	?>
  <form method="post" action="setup-config.php?step=2">
! 	<p><?php _e( "Below you should enter your database connection details. If you're not sure about these, contact your host." ); ?></p>
  	<table class="form-table">
  		<tr>
  			<th scope="row"><label for="dbname"><?php _e( 'Database Name' ); ?></label></th>
--- 117,134 ----
  	<li><?php _e( 'Database host' ); ?></li>
  	<li><?php _e( 'Table prefix (if you want to run more than one WordPress in a single database)' ); ?></li>
  </ol>
! <p><strong><?php _e( "If for any reason this automatic file creation doesn&#8217;t work, don&#8217;t worry. All this does is fill in the database information to a configuration file. You may also simply open <code>wp-config-sample.php</code> in a text editor, fill in your information, and save it as <code>wp-config.php</code>." ); ?></strong></p>
  <p><?php _e( "In all likelihood, these items were supplied to you by your Web Host. If you do not have this information, then you will need to contact them before you can continue. If you&#8217;re all ready&hellip;" ); ?></p>
  
! <p class="step"><a href="setup-config.php?step=1<?php if ( isset( $_GET['noapi'] ) ) echo '&amp;noapi'; ?>" class="button button-large"><?php _e( 'Let&#8217;s go!' ); ?></a></p>
  <?php
  	break;
  
  	case 1:
! 		setup_config_display_header();
  	?>
  <form method="post" action="setup-config.php?step=2">
! 	<p><?php _e( "Below you should enter your database connection details. If you&#8217;re not sure about these, contact your host." ); ?></p>
  	<table class="form-table">
  		<tr>
  			<th scope="row"><label for="dbname"><?php _e( 'Database Name' ); ?></label></th>
***************
*** 156,162 ****
  		</tr>
  	</table>
  	<?php if ( isset( $_GET['noapi'] ) ) { ?><input name="noapi" type="hidden" value="1" /><?php } ?>
! 	<p class="step"><input name="submit" type="submit" value="<?php echo htmlspecialchars( __( 'Submit' ), ENT_QUOTES ); ?>" class="button" /></p>
  </form>
  <?php
  	break;
--- 157,163 ----
  		</tr>
  	</table>
  	<?php if ( isset( $_GET['noapi'] ) ) { ?><input name="noapi" type="hidden" value="1" /><?php } ?>
! 	<p class="step"><input name="submit" type="submit" value="<?php echo htmlspecialchars( __( 'Submit' ), ENT_QUOTES ); ?>" class="button button-large" /></p>
  </form>
  <?php
  	break;
***************
*** 165,171 ****
  	foreach ( array( 'dbname', 'uname', 'pwd', 'dbhost', 'prefix' ) as $key )
  		$$key = trim( stripslashes( $_POST[ $key ] ) );
  
! 	$tryagain_link = '</p><p class="step"><a href="setup-config.php?step=1" onclick="javascript:history.go(-1);return false;" class="button">' . __( 'Try Again' ) . '</a>';
  
  	if ( empty( $prefix ) )
  		wp_die( __( '<strong>ERROR</strong>: "Table Prefix" must not be empty.' . $tryagain_link ) );
--- 166,172 ----
  	foreach ( array( 'dbname', 'uname', 'pwd', 'dbhost', 'prefix' ) as $key )
  		$$key = trim( stripslashes( $_POST[ $key ] ) );
  
! 	$tryagain_link = '</p><p class="step"><a href="setup-config.php?step=1" onclick="javascript:history.go(-1);return false;" class="button button-large">' . __( 'Try again' ) . '</a>';
  
  	if ( empty( $prefix ) )
  		wp_die( __( '<strong>ERROR</strong>: "Table Prefix" must not be empty.' . $tryagain_link ) );
***************
*** 254,270 ****
  	unset( $line );
  
  	if ( ! is_writable(ABSPATH) ) :
! 		display_header();
  ?>
! <p><?php _e( "Sorry, but I can't write the <code>wp-config.php</code> file." ); ?></p>
  <p><?php _e( 'You can create the <code>wp-config.php</code> manually and paste the following text into it.' ); ?></p>
! <textarea cols="98" rows="15" class="code"><?php
  		foreach( $config_file as $line ) {
  			echo htmlentities($line, ENT_COMPAT, 'UTF-8');
  		}
  ?></textarea>
! <p><?php _e( 'After you\'ve done that, click "Run the install."' ); ?></p>
! <p class="step"><a href="install.php" class="button"><?php _e( 'Run the install' ); ?></a></p>
  <?php
  	else :
  		$handle = fopen(ABSPATH . 'wp-config.php', 'w');
--- 255,278 ----
  	unset( $line );
  
  	if ( ! is_writable(ABSPATH) ) :
! 		setup_config_display_header();
  ?>
! <p><?php _e( "Sorry, but I can&#8217;t write the <code>wp-config.php</code> file." ); ?></p>
  <p><?php _e( 'You can create the <code>wp-config.php</code> manually and paste the following text into it.' ); ?></p>
! <textarea id="wp-config" cols="98" rows="15" class="code" readonly="readonly"><?php
  		foreach( $config_file as $line ) {
  			echo htmlentities($line, ENT_COMPAT, 'UTF-8');
  		}
  ?></textarea>
! <p><?php _e( 'After you&#8217;ve done that, click &#8220;Run the install.&#8221;' ); ?></p>
! <p class="step"><a href="install.php" class="button button-large"><?php _e( 'Run the install' ); ?></a></p>
! <script>
! (function(){
! var el=document.getElementById('wp-config');
! el.focus();
! el.select();
! })();
! </script>
  <?php
  	else :
  		$handle = fopen(ABSPATH . 'wp-config.php', 'w');
***************
*** 273,283 ****
  		}
  		fclose($handle);
  		chmod(ABSPATH . 'wp-config.php', 0666);
! 		display_header();
  ?>
! <p><?php _e( "All right sparky! You've made it through this part of the installation. WordPress can now communicate with your database. If you are ready, time now to&hellip;" ); ?></p>
  
! <p class="step"><a href="install.php" class="button"><?php _e( 'Run the install' ); ?></a></p>
  <?php
  	endif;
  	break;
--- 281,291 ----
  		}
  		fclose($handle);
  		chmod(ABSPATH . 'wp-config.php', 0666);
! 		setup_config_display_header();
  ?>
! <p><?php _e( "All right sparky! You&#8217;ve made it through this part of the installation. WordPress can now communicate with your database. If you are ready, time now to&hellip;" ); ?></p>
  
! <p class="step"><a href="install.php" class="button button-large"><?php _e( 'Run the install' ); ?></a></p>
  <?php
  	endif;
  	break;
